Fedora-Linux.nl Forumindex Fedora-Linux.nl
Het forum van Fedora-Linux.nl.
Deze site wordt gehost door Exonet Internet Services
 
 FAQFAQ   ZoekenZoeken   GebruikerslijstGebruikerslijst   GebruikersgroepenGebruikersgroepen   RegistrerenRegistreren 
 ProfielProfiel   Log in om je privéberichten te bekijkenLog in om je privéberichten te bekijken   InloggenInloggen 

Belkin F5D7000 wlankaart onmogelijk te installen?
Ga naar pagina 1, 2  Volgende
 
Nieuw onderwerp plaatsen   Reageren    Fedora-Linux.nl Forumindex -> Hardware
Vorige onderwerp :: Volgende onderwerp  
Auteur Bericht
furioso



Geregistreerd op: 22 Jun 2006
Berichten: 13
Woonplaats: Tervuren, Belgium

BerichtGeplaatst: Do Jun 22, 2006 7:36 pm    Onderwerp: Belkin F5D7000 wlankaart onmogelijk te installen? Reageren met citaat

Hallo, ik heb sinds kort Fedora Core 5 draaien. ik kan er echter niet mee op internet. Mijn wlankaart (belkin F5D7000) wordt niet gezien. ik heb alles al geprobeerd. In de wiki staat dat ik ndiswrapper moet installeren, maar slaag hier niet in. Blijkbaar bestaan de juiste bestanden voor mijn versie niet.
ik zou iets moeten hebben dat "kernel-module-ndiswrapper" heet. het probleem is dat ik em niet vindt met mijn versienummer: 2.6.15-1.2054_FC5smp
het andere wat ik nodig zou hebben is "ndiswrapper". echter, welke versie ik ook probeer, ik krijg steeds een foutmelding en kan het niet installeren.
is er geen simplere manier? ik kan met die pc alleen langs wlan op internet, dus ik kan hem niet aan een kabeltje hangen Sad


Ik heb veel doorverwijzigingen gezien naar dit:
http://www.fedora-linux.nl/wiki/index.php/Draadloze_netwerkkaarten

deze wiki is echter wel goed voor FC4, maar bij FC5 werkt ie dus niet
Terug naar boven
Profiel bekijken Stuur privébericht
furioso



Geregistreerd op: 22 Jun 2006
Berichten: 13
Woonplaats: Tervuren, Belgium

BerichtGeplaatst: Za Jun 24, 2006 1:16 pm    Onderwerp: Reageren met citaat

ik ga de codes posten van de foutmeldingen, mischien dat er me dan wel iemand kan helpen...
Code:
[root@localhost ndiswrapper-1.18]# make
make -C driver
make[1]: Entering directory `/root/Ndiswrapper/ndiswrapper-1.18/driver'
make -C /lib/modules/2.6.16-1.2129_FC5/build SUBDIRS=/root/Ndiswrapper/ndiswrapper-1.18/
driver \
DRIVER_VERSION=1.18
/usr/src/kernels/2.6.16-1.2129_FC5-i686/scripts/gcc-version.sh: line 11: gcc: command
not found
/usr/src/kernels/2.6.16-1.2129_FC5-i686/scripts/gcc-version.sh: line 12: gcc: command
not found
make[2]: gcc: Commando niet gevonden
make[2]: Entering directory `/usr/src/kernels/2.6.16-1.2129_FC5-i686'
LD /root/Ndiswrapper/ndiswrapper-1.18/driver/built-in.o
/bin/sh: ar: command not found
make[3]: *** [/root/Ndiswrapper/ndiswrapper-1.18/driver/built-in.o] Fout 127
make[2]: *** [_module_/root/Ndiswrapper/ndiswrapper-1.18/driver] Fout 2
make[2]: Leaving directory `/usr/src/kernels/2.6.16-1.2129_FC5-i686'
make[1]: *** [default] Fout 2
make[1]: Leaving directory `/root/Ndiswrapper/ndiswrapper-1.18/driver'
make: *** [all] Fout 2
[root@localhost ndiswrapper-1.18]# make install
make -C driver install
make[1]: Entering directory `/root/Ndiswrapper/ndiswrapper-1.18/driver'
make -C /lib/modules/2.6.16-1.2129_FC5/build SUBDIRS=/root/Ndiswrapper/ndiswrapper-1.18/
driver \
DRIVER_VERSION=1.18
/usr/src/kernels/2.6.16-1.2129_FC5-i686/scripts/gcc-version.sh: line 11: gcc: command
not found
/usr/src/kernels/2.6.16-1.2129_FC5-i686/scripts/gcc-version.sh: line 12: gcc: command
not found
make[2]: gcc: Commando niet gevonden
make[2]: Entering directory `/usr/src/kernels/2.6.16-1.2129_FC5-i686'
LD /root/Ndiswrapper/ndiswrapper-1.18/driver/built-in.o
/bin/sh: ar: command not found
make[3]: *** [/root/Ndiswrapper/ndiswrapper-1.18/driver/built-in.o] Fout 127
make[2]: *** [_module_/root/Ndiswrapper/ndiswrapper-1.18/driver] Fout 2
make[2]: Leaving directory `/usr/src/kernels/2.6.16-1.2129_FC5-i686'
make[1]: *** [default] Fout 2
make[1]: Leaving directory `/root/Ndiswrapper/ndiswrapper-1.18/driver'
make: *** [install] Fout 2
[root@localhost ndiswrapper-1.18]# ndiswrapper -l
bash: ndiswrapper: command not found
Terug naar boven
Profiel bekijken Stuur privébericht
david



Geregistreerd op: 16 Mei 2006
Berichten: 238
Woonplaats: amsterdam

BerichtGeplaatst: Za Jun 24, 2006 3:04 pm    Onderwerp: Reageren met citaat

hoi,

je hebt gcc (de compiler) niet geinstalleerd.
probeer eens:

yum install gcc

david
Terug naar boven
Profiel bekijken Stuur privébericht
Thijs
Administrator


Geregistreerd op: 10 Feb 2005
Berichten: 1173
Woonplaats: Hengelo G.

BerichtGeplaatst: Za Jun 24, 2006 3:11 pm    Onderwerp: Reageren met citaat

Je kunt het beste gewoon met de rpm's werken, bespaard je een hoop moeite. Op http://rpm.livna.org/fedora/5/i386/ kan je het pakket 'ndiswrapper' downloaden, net als 'kmod-ndiswrapper' (dat is de nieuwe naam voor 'kernel-module-ndiswrapper').

Als je die geïnstalleerd hebt, kan je gewoon de stappen in het hoofdstuk 'configureren' volgen: http://www.fedora-linux.nl/wiki/index.php/Draadloze_netwerkkaarten#Configureren
Terug naar boven
Profiel bekijken Stuur privébericht E-mail versturen Website bekijken MSN Messenger
furioso



Geregistreerd op: 22 Jun 2006
Berichten: 13
Woonplaats: Tervuren, Belgium

BerichtGeplaatst: Za Jun 24, 2006 5:14 pm    Onderwerp: Reageren met citaat

@ david: de wlan is de enige mogelijkheid om op internet te geraken. yum werkt dus niet zolang ik die verrekte belkin niet up and running krijg.

@ thijs: ik heb dat al geprobeerd, maar elke keer dat ik die rpm's wil installeren krijg ik de melding "unable to retrieve software information"; zowel bij de rpm's van ndiswrapper als bij de rpm van gcc.

als het in linux echt zo moeilijk is om iets te laten werken, hoeft het voor mij niet meer en blijf ik wel bij windows. Mischien niet het stabielste, maar het ding werkt tenminste... Evil or Very Mad
Terug naar boven
Profiel bekijken Stuur privébericht
Thijs
Administrator


Geregistreerd op: 10 Feb 2005
Berichten: 1173
Woonplaats: Hengelo G.

BerichtGeplaatst: Za Jun 24, 2006 5:39 pm    Onderwerp: Reageren met citaat

furioso schreef:
@ david: de wlan is de enige mogelijkheid om op internet te geraken. yum werkt dus niet zolang ik die verrekte belkin niet up and running krijg.

@ thijs: ik heb dat al geprobeerd, maar elke keer dat ik die rpm's wil installeren krijg ik de melding "unable to retrieve software information"; zowel bij de rpm's van ndiswrapper als bij de rpm van gcc.

Heb je alle rpm's in één map gezet, en vervolgens vanuit de console getypt:
rpm -ivh *.rpm
? Zo ja, zou je dan eens de precieze foutmelding, in de context hier kunnen plaatsen?

Citaat:
als het in linux echt zo moeilijk is om iets te laten werken, hoeft het voor mij niet meer en blijf ik wel bij windows. Mischien niet het stabielste, maar het ding werkt tenminste... Evil or Very Mad

Tsjah, dat is totaal je eigen keus. Vaak zijn het de kleine dingetjes die je over het hoofd ziet. Maar mocht je hulp nodig hebben; wij verlenen dat op vrijwillige basis.
Terug naar boven
Profiel bekijken Stuur privébericht E-mail versturen Website bekijken MSN Messenger
Beer



Geregistreerd op: 17 Feb 2005
Berichten: 473

BerichtGeplaatst: Za Jun 24, 2006 6:11 pm    Onderwerp: Reageren met citaat

als je op
http://linux-wless.passys.nl/query_part.php?brandname=Belkin
kijkt zie je dat er twee versies zijn. Het hangt er even van af welke chip er op de netwerk kaart zit. Je kunt met het commando
Code:
lspci -vv

zien wat er op zit. Als er een ralink op ziet dan werkt de zaak goed en kun je hier
http://rt2x00.serialmonkey.com/wiki/index.php/Main_Page
hier een een driver voor linux vinden.
Heb je er een een Broadcom op zitten dan is het iets gemakkelijker. Je hebt dan alleen een firmware nodig. De driver zit al in de kernel. Op
http://bcm43xx.berlios.de/
kun je een tool vinden die deze uit je windows driver haalt en plaatst in /lib/firmware/.
De laatste gebruik ik zelf voor een asus kaart. Als je de laatste link volgt kun je ook lezen dat het een "experimentele" driver is. Dit uit zich bij mij dat de rates (1-54Mbit) niet goed worden uitgelezen. Deze is echter wel met de hand goed in te stellen.
Terug naar boven
Profiel bekijken Stuur privébericht
furioso



Geregistreerd op: 22 Jun 2006
Berichten: 13
Woonplaats: Tervuren, Belgium

BerichtGeplaatst: Za Jun 24, 2006 8:42 pm    Onderwerp: Reageren met citaat

okey, ik heb een klein beetje vooruitgang geboekt.
ndiswrapper is geinstalleerd en die fwcutter ook.
het probleem nu is dat fwcutter de driver van mijn wlankaart niet aanneemt. ik had die geinstalleerd met het commando
Code:
 ndiswrapper -i bcmwl5.inf

maar als ik dan
Code:
ndiswrapper -l

ingeef zegt ie dat het een invalid driver is. dan wou ik em uninstallen, via
Code:
ndiswrapper -e bcmwl5.inf

maar dan zegt ie: "driver not installed"

dus: hoe krijg ik die invallid drivers weg en hoe krijg ik nu eindelijk m'n driver geinstalled dat ik dan het internet opkan?
Terug naar boven
Profiel bekijken Stuur privébericht
RvM



Geregistreerd op: 25 Jun 2006
Berichten: 1

BerichtGeplaatst: Zo Jun 25, 2006 3:30 pm    Onderwerp: Reageren met citaat

ik had, eigenlijk heb hetzefde probleem, maar de simpelste oplossing is eigenlijk gwn een nieuwe wlankaart te kopen..., deze doet zijn werk mischien goed onder windows maar op fedora...

als je toch verder wilt zoeken, heel veel succes Very Happy en als het je uiteindelijkt kan je misschien een tutorial schrijven daarvoor. Ik denk dat heel veel mensen u daar dan dankbaar zouden zijn.

Greetz RvM
Terug naar boven
Profiel bekijken Stuur privébericht
furioso



Geregistreerd op: 22 Jun 2006
Berichten: 13
Woonplaats: Tervuren, Belgium

BerichtGeplaatst: Zo Jun 25, 2006 5:46 pm    Onderwerp: Reageren met citaat

die howto zal ik dan zeker schrijven, maar pas als ie werkt en dat is nu voor het ogenblik nog niet het geval Sad
maar we blijven doorgaan, en de aanhouder wint normaal toch hé Wink
Terug naar boven
Profiel bekijken Stuur privébericht
Beer



Geregistreerd op: 17 Feb 2005
Berichten: 473

BerichtGeplaatst: Zo Jun 25, 2006 6:49 pm    Onderwerp: Reageren met citaat

Nog even een opmerking van mij, maar fwcutter haalt de firmware uit een .sys file. Dit staat namelijk niet zo in de handleiding. Als ik het goed heb BCMWL5.SYS. Wat je dan intikt wordt het volgende:
Code:
bcm43xx-fwcutter -w /lib/firmware BCMWL5.SYS

Dan moet je de zaak nog laden en dat doe je met
Code:
modprobe.bcm43xx

Als het goed is start dan het kaartje
(bij mij wel)
Terug naar boven
Profiel bekijken Stuur privébericht
furioso



Geregistreerd op: 22 Jun 2006
Berichten: 13
Woonplaats: Tervuren, Belgium

BerichtGeplaatst: Ma Jun 26, 2006 12:09 am    Onderwerp: Reageren met citaat

hoi, ondertussen ben ik dus zover gekomen tot aan de firmware. Het nieuwste probleem: mijn bcmwl5.sys bestand is volgens fwcutter ofwel te oud ofwel onvolledig. ik krijg volgende foutmelding:
Code:
[root@localhost ~]# bcm43xx-fwcutter -w /lib/firmware /root/Desktop/bcmwl5.sys
fwcutter can cut the firmware out of /root/Desktop/bcmwl5.sys
filename : bcmwl5.sys
version : 3.100.46.0
MD5 : 38ca1443660d0f5f06887c6a2e692aeb
extracting bcm43xx_microcode2.fw ...
extracting bcm43xx_microcode4.fw ...
extracting bcm43xx_microcode5.fw ...
*****: Sorry, it's not posible to extract "bcm43xx_microcode11.fw".
*****: Extracting firmware from an old driver is bad. Choose a more recent one.
*****: Luckily bcm43xx driver doesn't include microcode11 uploads at the moment.*****:
But this can be added in the future...
extracting bcm43xx_pcm4.fw ...
extracting bcm43xx_pcm5.fw ...
extracting bcm43xx_initval01.fw ...
extracting bcm43xx_initval02.fw ...
extracting bcm43xx_initval03.fw ...
extracting bcm43xx_initval04.fw ...
extracting bcm43xx_initval05.fw ...
extracting bcm43xx_initval06.fw ...
extracting bcm43xx_initval07.fw ...
extracting bcm43xx_initval08.fw ...
extracting bcm43xx_initval09.fw ...
extracting bcm43xx_initval10.fw ...


blijkbaar heb ik dus een ander bestand nodig. Is er iemand die een .sys-file heeft waarvan ie weet dat fwcutter em neemt?

btw: als ik nu "ndiswrapper -l" ingeef staat er "driver installed" . da's alles, dus het gedeelte "hardware present" ontbreekt.
Terug naar boven
Profiel bekijken Stuur privébericht
Beer



Geregistreerd op: 17 Feb 2005
Berichten: 473

BerichtGeplaatst: Ma Jun 26, 2006 9:24 am    Onderwerp: Reageren met citaat

furioso schreef:
hoi, ondertussen ben ik dus zover gekomen tot aan de firmware. Het nieuwste probleem: mijn bcmwl5.sys bestand is volgens fwcutter ofwel te oud ofwel onvolledig. ik krijg volgende foutmelding:
Code:
[<a href="http://www.fedora-linux.nl/basis/#root">root</a>@localhost ~]# bcm43xx-fwcutter -w /lib/firmware /<a href="http://www.fedora-linux.nl/basis/#root">root</a>/Desktop/bcmwl5.sys
fwcutter can cut the firmware out of /<a href="http://www.fedora-linux.nl/basis/#root">root</a>/Desktop/bcmwl5.sys
filename : bcmwl5.sys
version : 3.100.46.0
MD5 : 38ca1443660d0f5f06887c6a2e692aeb
extracting bcm43xx_microcode2.fw ...
extracting bcm43xx_microcode4.fw ...
extracting bcm43xx_microcode5.fw ...
*****: Sorry, it's not posible to extract "bcm43xx_microcode11.fw".
*****: Extracting firmware from an old driver is bad. Choose a more recent one.
*****: Luckily bcm43xx driver doesn't include microcode11 uploads at the moment.*****:
But this can be added in the future...
extracting bcm43xx_pcm4.fw ...
extracting bcm43xx_pcm5.fw ...
extracting bcm43xx_initval01.fw ...
extracting bcm43xx_initval02.fw ...
extracting bcm43xx_initval03.fw ...
extracting bcm43xx_initval04.fw ...
extracting bcm43xx_initval05.fw ...
extracting bcm43xx_initval06.fw ...
extracting bcm43xx_initval07.fw ...
extracting bcm43xx_initval08.fw ...
extracting bcm43xx_initval09.fw ...
extracting bcm43xx_initval10.fw ...


blijkbaar heb ik dus een ander bestand nodig. Is er iemand die een .sys-file heeft waarvan ie weet dat fwcutter em neemt?

btw: als ik nu "ndiswrapper -l" ingeef staat er "driver installed" . da's alles, dus het gedeelte "hardware present" ontbreekt.

Dit is helemaal goed, maar controleer even dat ze in /lib/firmware/ staan. Even ter controle mijn list
    -rw-r--r-- 1 root root 3480 jun 25 20:25 bcm43xx_initval01.fw
    -rw-r--r-- 1 root root 16 jun 25 20:25 bcm43xx_initval02.fw
    -rw-r--r-- 1 root root 3480 jun 25 20:25 bcm43xx_initval03.fw
    -rw-r--r-- 1 root root 16 jun 25 20:25 bcm43xx_initval04.fw
    -rw-r--r-- 1 root root 2512 jun 25 20:25 bcm43xx_initval05.fw
    -rw-r--r-- 1 root root 248 jun 25 20:25 bcm43xx_initval06.fw
    -rw-r--r-- 1 root root 2512 jun 25 20:25 bcm43xx_initval07.fw
    -rw-r--r-- 1 root root 2512 jun 25 20:25 bcm43xx_initval08.fw
    -rw-r--r-- 1 root root 248 jun 25 20:25 bcm43xx_initval09.fw
    -rw-r--r-- 1 root root 248 jun 25 20:25 bcm43xx_initval10.fw
    -rw-r--r-- 1 root root 15880 jun 25 20:25 bcm43xx_microcode2.fw
    -rw-r--r-- 1 root root 20056 jun 25 20:25 bcm43xx_microcode4.fw
    -rw-r--r-- 1 root root 22024 jun 25 20:25 bcm43xx_microcode5.fw
    -rw-r--r-- 1 root root 1144 jun 25 20:25 bcm43xx_pcm4.fw
    -rw-r--r-- 1 root root 1144 jun 25 20:25 bcm43xx_pcm5.fw
Als je nu Nog
Code:
modprobe bcm43xx
intikt dan moet als het goed is de kaart opstarten. Oeps ik zie dat in mijn vorige mail er geen spatie maar een "." tussen staat (sorrie Embarassed ).
Terug naar boven
Profiel bekijken Stuur privébericht
Beer



Geregistreerd op: 17 Feb 2005
Berichten: 473

BerichtGeplaatst: Ma Jun 26, 2006 9:32 am    Onderwerp: Reageren met citaat

Supplement: Ik heb net mijn kernel geüpgrade naar 2.6.17-1.2139_FC5. Nu doet mijn kaart het zelfs zonder modprobe
Terug naar boven
Profiel bekijken Stuur privébericht
furioso



Geregistreerd op: 22 Jun 2006
Berichten: 13
Woonplaats: Tervuren, Belgium

BerichtGeplaatst: Ma Jun 26, 2006 10:20 am    Onderwerp: Reageren met citaat

hoi, ik heb idd dezelfde files als jou in de map /lib/firmware staan. Als ik op modprobe bcm43xx ingeef gebeurt er niets. als ik ndiswrapper -l ingeef zegt ie nog steeds niet "hardware present" zou het dan toch kunnen dat ik de verkeerde firmware heb ofzo?

ik zal ook es de kernel updaten, mischien helpt dat ook.

btw is het normaal dat als je je kernel update de oude kernels gewoon blijven staan in de bootmanager? ik heb er nu al 3 kernels in staan en ben nog maar een week bezig met linux...
Terug naar boven
Profiel bekijken Stuur privébericht
Berichten van afgelopen:   
Nieuw onderwerp plaatsen   Reageren    Fedora-Linux.nl Forumindex -> Hardware Tijden zijn in GMT + 1 uur
Ga naar pagina 1, 2  Volgende
Pagina 1 van 2

 
Ga naar:  
Je mag geen nieuwe onderwerpen plaatsen in dit subforum
Je mag geen reacties plaatsen in dit subforum
Je mag je berichten niet bewerken in dit subforum
Je mag je berichten niet verwijderen in dit subforum
Je mag niet stemmen in polls in dit subforum


Powered by phpBB © 2001, 2005 phpBB Group
Vertaling door Lennart Goosens.